PPL 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Parma_Polyhedra_Library::Watchdog Class Reference

A watchdog timer. More...

`#include <ppl.hh>`

List of all members.

## Public Member Functions
| Watchdog (long csecs, void(*function)())
| Constructor: if not reset, the watchdog will trigger after `csecs` centiseconds, invoking handler `function`.
| ~Watchdog ()
| Destructor.

## Static Public Member Functions
static void | initialize ()
| Static class initialization.
static void | finalize ()
| Static class finalization.

## Detailed Description

A watchdog timer.

The documentation for this class was generated from the following file:

- ppl.hh